In de schijnwerpers
Games
Software Demo's NIEUWS Aanbevolen

Om dit spel te kunnen spelen moet je het originele spel Anno 2070™ hebben.

Releasedatum: 13 feb 2012
Populaire tags van gebruikers voor dit product:
This item does not have support for your local language. Please review the supported language list before purchasing

Downloadbare inhoud

Om dit spel te kunnen spelen moet je het originele spel Anno 2070™ hebben.

Anno 2070 - The Keeper Package kopen

Pakketten die deze game bevatten

Anno 2070 - The Eden Complete Package kopen

Bevat 3 items: Anno 2070™: The Keeper Package, Anno 2070™: The Development Package, Anno 2070™: The Eden Series Package

Anno 2070 DLC Complete Pack kopen

Bevat 9 items: Anno 2070™: The Keeper Package, Anno 2070™: The Development Package, Anno 2070™: The Eden Series Package, Anno 2070™ - The Central Statistical Package, Anno 2070™ - The Crisis Response Package, Anno 2070™ - The Distrust Series Package, Anno 2070™ - The Silent Running Package, Anno 2070™ - The Nordamark Line Package, Anno 2070™ - The E.V.E. Package

Info over het spel

The Former technologies give you the greatest advantage. With the Keeper 1.0 you get access to this powerful technology without playing through the Eden Project World Event. As this is the S.A.A.T. version, it comes with a unique skin for the Former technology tool as well access to high-end upgrades.

Key features:

  • Get direct access to the former technology, upgrades and a unique skin.

Systeemeisen

    • OS: Windows® XP / Windows Vista® / Windows® 7
    • Processor: 2 GHz Intel® Core™2 Duo or AMD Athlon™ 64 X2 or better
    • Memory: 2 GB (4 GB recommended)
    • Graphics: 512 MB DirectX® 9.0c–compatible with Shader Model 3.0 or higher (see supported list)*
    • DirectX®: 9.0c
    • Hard Drive: 5 GB
    • Sound: DirectX 9.0c–compliant
    • Peripherals: Windows-compatible mouse and keyboard
    • Internet Connection: Temporary broadband connection for product registration, permanent broadband connection for multiplayer. *Supported Video Cards at Time of Release:
      ATI Radeon™ X1000/HD 2000/3000/4000/5000/6000 series
      NVIDIA® GeForce® 7/8/9/100/200/300/400/500 series

      Laptop versions of these cards may work, but are not supported. These chipsets are the only ones that will run this game. For the most up-to-date minimum requirement listings, please visit the FAQ on our support website at: http://support.ubi.com/.

      Requires a UPlay account
Er zijn nog geen openbare recensies voor dit product
Je kunt je eigen recensie voor dit product schrijven om je ervaring met de community te delen. Gebruik het gebied boven de aankoopknoppen op deze pagina om je recensie te schrijven.